Package wx :: Package lib :: Module graphics :: Class GraphicsMatrix

[frames | no frames]

## Type GraphicsMatrix

        object --+
                 |
    GraphicsObject --+
                     |
                    GraphicsMatrix

A matrix holds an affine transformations, such as a scale, rotation, shear, or a combination of these, and is used to convert between different coordinante spaces.

Method Summary
| `__init__(self)`
| `Clone(self)`
| ``Concat`(self, matrix)` Concatenates the matrix passed with the current matrix.
| ``Get`(self)` Return the component values of the matrix as a tuple.
| `GetNativeMatrix(self)`
| ``Invert`(self)` Inverts the matrix.
| ``IsEqual`(self, matrix)` Returns True if the elements of the transformation matricies are equal.
| ``IsIdentity`()` Returns True if this is the identity matrix.
| ``Rotate`(self, angle)` Rotates the matrix in radians
| ``Scale`(self, xScale, yScale)` Scale the matrix
| ``Set`(self, a, b, c, d, tx, ty)` Set the componenets of the matrix by value, default values are the identity matrix.
| ``TransformDistance`(self, dx, dy)` Applies this matrix to a distance (ie.
| ``TransformPoint`(self, x, y)` Applies this matrix to a point and returns the result
| ``Translate`(self, dx, dy)` Translate the metrix.

Method Details

### Concat(self, matrix)

Concatenates the matrix passed with the current matrix.

### Get(self)

Return the component values of the matrix as a tuple.

### Invert(self)

Inverts the matrix.

### IsEqual(self, matrix)

Returns True if the elements of the transformation matricies are equal.

### IsIdentity()

Returns True if this is the identity matrix.

### Rotate(self, angle)

Rotates the matrix in radians

### Scale(self, xScale, yScale)

Scale the matrix

### Set(self, a=1.0, b=0.0, c=0.0, d=1.0, tx=0.0, ty=0.0)

Set the componenets of the matrix by value, default values are the identity matrix.

### TransformDistance(self, dx, dy)

Applies this matrix to a distance (ie. performs all transforms except translations.)

### TransformPoint(self, x, y)

Applies this matrix to a point and returns the result

### Translate(self, dx, dy)

Translate the metrix. This shifts the origin.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:54:30 2009 | http://epydoc.sf.net